###
Switches for Linking to other documents

When processing a single stand-alone document, the switches described in this section should not be needed at all, since the automatically generated navigation panels, described on the previous page should generate all the required navigation links. However if a document is to be regarded as part of a much larger document, then links from its first and final pages, to locations in other parts of the larger (virtual) document, need to be provided explicitly for some of the buttons in the navigation panel.

The following switches allow for such links to other documents, by providing the title and URL for navigation panel hyperlinks. In particular, the ``Document Segmentation'' feature necessarily makes great use of these switches. It is usual for the text and targets of these navigation hyperlinks to be recorded in a `Makefile`, to avoid tedious typing of long command-lines having many switches.

-up_url `<URL>`
  Same as setting: `$EXTERNAL_UP_LINK``= "<URL>";`
  Specifies a universal resource locator (URL) to associate with the ``UP'' button in the navigation panel(s).

-up_title `<string>`
  Same as setting: `$EXTERNAL_UP_TITLE``= "<string>";`
  Specifies a title associated with this URL.

-prev_url `<URL>`
  Same as setting: `$EXTERNAL_PREV_LINK``= "<URL>";`
  Specifies a URL to associate with the ``PREVIOUS'' button in the navigation panel(s).

-prev_title `<string>`
  Same as setting: `$EXTERNAL_PREV_TITLE``= "<string>";`
  Specifies a title associated with this URL.

-down_url `<URL>`
  Same as setting: `$EXTERNAL_DOWN_LINK``= "<URL>";`
  Specifies a URL for the ``NEXT'' button in the navigation panel(s).

-down_title `<string>`
  Same as setting: `$EXTERNAL_DOWN_TITLE``= "<string>";`
  Specifies a title associated with this URL.

-contents `<URL>`
  Same as setting: `$EXTERNAL_CONTENTS``= "<URL>";`
  Specifies a URL for the ``CONTENTS'' button, for document segments that would not otherwise have one.

-index `<URL>`
  Same as setting: `$EXTERNAL_INDEX``= "<URL>";`
  Specifies a URL for the ``INDEX'' button, for document segments that otherwise would not have an index.

-biblio `<URL>`
  Same as setting: `$EXTERNAL_BIBLIO``= "<URL>";`
  Specifies the URL for the bibliography page to be used, when not explicitly part of the document itself.

Warning: On some systems it is difficult to give text-strings `<string>` containing space characters, on the command-line or via a `Makefile`. One way to overcome this is to use the corresponding variable. Another way is to replace the spaces with underscores (`_`).